function sup07800DataDeEmbarqueOperadorLogisticoController(ScreenService, templateManager, ZhFilterPreferences, General) {

    var var_CDFILIOPELOG;
    var var_NMFILIALOL;


    this.openFilter = function(widget) {
        ScreenService.showLoader();

        var rowsToSet = {};


        ZhFilterPreferences.openFilterWidget(widget, rowsToSet).then(opened => {
            ScreenService.hideLoader();
        }).catch(error => {
            console.log(error);
            ScreenService.hideLoader();
        });
    };




    this.deleteCrud = function(widget) {
        if (widget.isValid()) {
            var widgetPrinc = widget.container.getWidget('gridDatadeembarqueOperadorlogísticoWidget');
            widgetPrinc.dataSourceFilter = dataSourceFilterProdutoGrid(widget);
            widgetPrinc.reload().then(function() {


                if (widgetPrinc.dataSource.data[0].IDCNTRRESC == 'C') {
                    delete widgetPrinc.getField('CDARVPROD').inlineEditable;
                    widgetPrinc.actions.forEach(function(action) {
                        if (action.name != 'VOLTAR_VIEW' && action.name != 'excluir' && action.name != 'cancel' && action.name != 'save') {
                            action.isVisible = false;
                        } else {
                            action.isVisible = true;
                        }
                    });
                } else {
                    widgetPrinc.getField('CDARVPROD').inlineEditable = "number";
                    widgetPrinc.actions.forEach(function(action) {
                        action.isVisible = true;
                    });
                }
                defineActionGridVisible(widget.container.getWidget('gridDatadeembarqueOperadorlogísticoWidget'));
            });
        }
    };




    this.setDataSourceFilter = function(args) {
        const widget = templateManager.container.getWidget('gridDatadeembarqueOperadorlogísticoWidget');
        const row = args.e.preference.FILTER_ROW;

        widget.dataSourceFilter = [{
                "name": "P_CDREGIAO",
                "operator": "=",
                "value": concatArrayForParams(row.CDREGIAO, 'T')

            },
            {
                "name": "P_CDFILIAL",
                "operator": "=",
                "value": concatArrayForParams(row.CDFILIALUN, 'T')

            },
            {
                "name": "P_CDPRODINI",
                "operator": "=",
                "value": row.CDARVPRODINI
            },
            {
                "name": "P_CDPRODFIN",
                "operator": "=",
                "value": row.CDARVPRODFIN
            },
            {
                "name": "P_CDFILIOPELOG",
                "operator": "=",
                "value": row.CDFILIAL
            }

        ];


        widget.reload();

    };

    function concatArrayForParams(arr, defaultValue) {
        return !Util.isEmptyOrBlank(arr) ? arr.join('_') : defaultValue;
    }


    this.cancelaEditProdutos = function(widget) {
        cancelEditProducts(widget);
    };

    function cancelEditProducts(widget) {
        widget.rollbackInlineEdit();
        widget.list();
    }




}

Configuration(function(ContextRegister) {
    ContextRegister.register("sup07800DataDeEmbarqueOperadorLogisticoController", sup07800DataDeEmbarqueOperadorLogisticoController);
});